Bug 1796987 - [clusterresourceoverride] fix e2e with OLM due to breaking changes in 'upstream-registry-builder'
Summary: [clusterresourceoverride] fix e2e with OLM due to breaking changes in 'upstre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Node
Version: 4.4
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: ---
: 4.4.0
Assignee: Abu Kashem
QA Contact: Sunil Choudhary
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-01-31 16:54 UTC by Abu Kashem
Modified: 2020-05-13 21:56 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1801848 (view as bug list)
Environment:
Last Closed: 2020-05-13 21:55:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-resource-override-admission-operator pull 21 0 None closed Bug 1796987: Fix e2e with olm 2020-04-13 19:05:18 UTC
Github openshift cluster-resource-override-admission-operator pull 22 0 None closed Bug 1796987: Increase wait time for olm install 2020-04-13 19:05:18 UTC
Github openshift cluster-resource-override-admission-operator pull 23 0 None closed Bug 1796987: e2e with olm 2020-04-13 19:05:19 UTC
Github openshift cluster-resource-override-admission-operator pull 24 0 None closed Bug 1796987: Fix upstream operator-registry Dockerfile 2020-04-13 19:05:18 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-13 21:56:00 UTC

Description Abu Kashem 2020-01-31 16:54:09 UTC
(This is an issue for 'ClusterResourceOverride' operator. Using 'kube-apiserver' bucket to move forward.


e2e with OLM is broken because 'upstream-registry-builder' has breaking changes.


Fix operator registry Dockerfile. The location of the operator registry binaries in 'upstream-registry-builder' have moved, fix the Dockerfile to account for the breaking change.

Comment 2 Abu Kashem 2020-01-31 23:15:37 UTC
(changing it to ASSIGNED since the ci PR in 'release' is still failing.)

Comment 4 Abu Kashem 2020-02-02 23:55:41 UTC
(changing it to ASSIGNED since the ci PR in 'release' is still failing.)

Comment 6 Abu Kashem 2020-02-11 18:04:33 UTC
(changing it to ASSIGNED the since upstream operator-registry Dockerfile is broken.)

Comment 9 errata-xmlrpc 2020-05-13 21:55:59 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.